#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.10
visibility:           public
id:                   primitive-extras-0.10.1.10-FexeLgsAcQpKOeI6alxIlk
key:                  primitive-extras-0.10.1.10-FexeLgsAcQpKOeI6alxIlk
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  f8084776c42df4cfdcc90e482c002cae
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.1.10
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.10-FexeLgsAcQpKOeI6alxIlk
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-EC51AuSlEFy66BGe6tsCu3
    focus-1.0.3.2-Fe7dk1SkQip9FK095SBJGX
    foldl-1.4.16-IF8ULSXvycR9FgCW8DMW6c
    list-t-1.0.5.4-Ln5raZl5e3xLVNpmKEGtR9
    primitive-0.7.4.0-IuAkHfsD4drDvErljoigXB
    primitive-unlifted-0.1.3.1-GX3vvjUZsgWHuLK3gWSN7A
    profunctors-5.6.2-9grz0V1V7y737HWysEqYd
    vector-0.13.1.0-FuSYSqJEiCU51oStZmHlCe

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

